<template>
  <div>
    <form @submit.prevent="search('links')">
      <ButtonOpenToolModal />

      <InputSearchTerm />

      <InputDates />

      <InputWebsites />

      <InputNumberOf :label="$t('setting.numberUrls')" />

      <InputLimit />

      <FatButton width='100%'>
        {{ $t("setting.button.urls") }}
      </FatButton>
    </form>
  </div>
</template>

<script>
import ButtonOpenToolModal from '@/components/input/tool-picker/ButtonOpenToolModal'
import { createNamespacedHelpers } from 'vuex'
import InputSearchTerm from '@/components/input/InputSearchTerm'
import InputDates from '@/components/input/InputDates'
import InputWebsites from '@/components/input/InputWebsites'
import InputNumberOf from '@/components/input/InputNumberOf'
import InputLimit from '@/components/input/InputLimit'
import FatButton from '@/components/input/FatButton'
const { mapMutations } = createNamespacedHelpers('searchSettings')

export default {
  components: {
    ButtonOpenToolModal,
    InputSearchTerm,
    InputDates,
    InputWebsites,
    InputNumberOf,
    InputLimit,
    FatButton
  },
  methods: {
    ...mapMutations(['search'])
  }
}
</script>

<style scoped lang="scss">
form > * {
  margin-top: var(--spacing-5);
}
</style>
